# Imagick::getResourceLimit

(PECL imagick 2.0.0)

Imagick::getResourceLimit — Returns the specified resource limit

### Description

Imagick::getResourceLimit ( int `$type` ) : int

Returns the specified resource limit.

### Parameters

`type`

  One of the resourcetype constants. The unit depends on the type of the resource being limited.

### Return Values

Returns the specified resource limit in megabytes.

### Errors/Exceptions

Throws ImagickException on error.

### See Also

- Imagick::setResourceLimit() - Sets the limit for a particular resource